List poll responses OAuth Scope: polls:read

Retrieve all individual subscriber responses for a specific poll with cursor-based pagination. Use this endpoint for large datasets instead of the expand[]=poll_responses parameter on the poll show endpoint.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object
pollIdstringRequiredformat: "^(poll_[0-9a-fA-F\-]+)$"
The prefixed ID of the poll object

Query parameters

limitintegerOptional
A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
cursorstringOptional

Cursor-based pagination (recommended): Use this opaque cursor token to fetch the next page of results.

pageintegerOptional

Offset-based pagination (deprecated): Page number for offset-based pagination.

order_byenumOptionalDefaults to created
The field that the results are sorted by. Defaults to created.
Allowed values:
directionenumOptionalDefaults to asc

The direction that the results are sorted in. Defaults to asc.
asc - Ascending, sorts from smallest to largest.
desc - Descending, sorts from largest to smallest.

Allowed values:
expand[]list of enumsOptional

Optionally expand the response to include additional data.
post - Returns the post title and publication date for the post where each response was collected.

Allowed values:
post_idstringOptional

Filter to only return responses collected via the specified post. Accepts a prefixed post ID (e.g. post_abc123).

Response

OK
datalist of objects
An array of poll responses.
limitinteger
The limit placed on the results. If no limit was specified in the request, this defaults to 10.
pageinteger>=0Defaults to 1

Offset pagination only: The page number the results are from. Only present when using deprecated offset-based pagination.

total_pagesinteger

Offset pagination only: The total number of pages. Only present when using deprecated offset-based pagination.

has_moreboolean

Cursor pagination only: Indicates whether there are more results available after the current page.

next_cursorstring

Cursor pagination only: The cursor token to use for fetching the next page of results.

total_resultsinteger
The total number of results from all pages.

Errors

404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error